Bug 74303 - Kernel USB doesn't work with sharp zaurus
Kernel USB doesn't work with sharp zaurus
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: kernel (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
http://www.zauruszone.farplanet.net/h...
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-19 20:58 EDT by Kent Pirkle
Modified: 2008-08-01 12:22 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-30 11:39:56 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kent Pirkle 2002-09-19 20:58:25 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20020826

Description of problem:
The Sharp Zaurus is only partially recognized. An interface is brought up, but
it won't communicate beyond that. It will not sync using Qtopia and you can't
ping the Zaurus.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.With Zaurus docking cradle plugged in, turn on Zaurus.
2.
3.
	

Actual Results:  Interface is brought up, but that is all.

Expected Results:  I should be able to ping the Zaurus. I can do the same thing
with Mandrake 8.2, following instructions on the URL referenced, and it syncs.

Additional info:

Apparently some kernel patch referenced on the URL is necessary. I don't know
how to go deeper than that. I will include my dmesg output and my ifconfig output.

dmesg:
hub.c: USB new device connect on bus1/1, assigned device number 2
usb.c: USB device 2 (vend/prod 0x4dd/0x8004) is not claimed by any active driver.
usb.c: registered new driver acm
acm.c: v0.21:USB Abstract Control Model driver for USB modems and ISDN
adaptersCDCEther.c: CDCEther.c: 0.98.6 7 Jan 2002 Brad Hards and another
usb.c: registered new driver CDCEther
CDCEther.c: Found Header descriptor, CDC version 110.
CDCEther.c: Imperfect filtering support - need sw hashing
CDCEther.c: Can't use SetEthernetMulticastFilters request
CDCEther.c: detected BULK OUT packets of size 64
divert: allocating divert_blk for eth1
CDCEther.c: eth1: Sharp SL Series
 CDCEther.c: eth1: 40:00:02:00:00:01
CDCEther.c: eth1: set multicast filters
CDCEther.c: eth1: set multicast filters
CDCEther.c: eth1: too many MC filters for hardware, using allmulti


And ifconfig:

eth1      Link encap:Ethernet  HWaddr 40:00:02:00:00:01
            inet addr:192.168.129.1  Bcast:192.168.129.255  Mask:255.255.255.0
          UP BROADCAST RUNNING MULTICAST  MTU:1500  Metric:1
          RX packets:0 errors:0 dropped:0 overruns:0 frame:0
          TX packets:4 errors:0 dropped:0 overruns:0 carrier:0
          collisions:0 txqueuelen:100
           RX bytes:0 (0.0 b)  TX bytes:168 (168.0 b)
Comment 1 Richard Torkar 2002-10-06 08:53:46 EDT
This is probably the same as Bug 62596

/Richard
Comment 2 Bugzilla owner 2004-09-30 11:39:56 EDT
Thanks for the bug report. However, Red Hat no longer maintains this version of
the product. Please upgrade to the latest version and open a new bug if the problem
persists.

The Fedora Legacy project (http://fedoralegacy.org/) maintains some older releases, 
and if you believe this bug is interesting to them, please report the problem in
the bug tracker at: http://bugzilla.fedora.us/

Note You need to log in before you can comment on or make changes to this bug.